package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumCouponInjectSendType {

    // 0：立即发送 1：定时发送
    IMMEDIATE(0, "立即发送"),
    TIMING(1, "定时发送")
    ;

    public static EnumCouponInjectSendType getEnum(Integer code) {
        for (EnumCouponInjectSendType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumCouponInjectSendType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
